{% extends "ajax/game/town/town.html.twig" %}
{% block content %}
    {% set wtt = conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_WT_THRESHOLD'),33) %}

    <div class="town-header{% if town.type.name == 'panda' %} hardcore{% endif %}">
        <b>{{ town.name }}</b><br />
        <span>{{ 'Tag %day%'|trans({'%day%':town.day},'game') }}</span>
    </div>

    <div class="dashboard">
        <div class="row">
            <div class="padded cell rw-4 rw-md-6 center">
                <em>{{ 'Unsere Verteidigung :'|trans({}, 'game') }}</em><br />
                <span class="counter">{{ def }} <img src="{{ asset('build/images/icons/small_def.gif') }}" alt="" /></span>
            </div>
            <div class="padded cell rw-4 rw-md-6 center attack-estimation">
                <em>{{ 'Geschätzter Angriff :'|trans({}, 'game') }}</em><br />
                <span class="counter">
                {% if (zeds_today[3] >= wtt) and zeds_today[0] %}
                    {{ zeds_today[1] }} - {{ zeds_today[2] }} <img alt="" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                {% else %}
                    {{ 'Unbekannt'|trans({}, 'game')}} <img alt="" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                {% endif %}
                </span>
                {% if zeds_tomorrow[0] %}
                    <br /><em>{{ 'Morgiger Angriff :'|trans({},'game') }}</em><br />
                    <span class="counter">
                        {{ zeds_tomorrow[1] }} - {{ zeds_tomorrow[2] }} <img alt="" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                    </span>
                {% endif %}
                {% if has_watchtower and not has_estimated %}<br /><span class="help">[ <span class="link" x-ajax-href="{{ path('town_watchtower') }}">{{ 'Teilnehmen'|trans({}, 'game') }}</span> ] </span>{% endif %}
            </div>
            <div class="padded cell rw-4 rw-md-12 center">
                {% if (zeds_today[3] >= wtt) and zeds_today[0] %}
                    {% if def < zeds_today[1] %}
                         <span class="warning">
                            {{'Unsere Verteidigung ist nicht stark genug, um dem Angriff heute Nacht standzuhalten.'|trans({}, 'game')}}
                            {% if has_battlement %}
                            <div x-ajax-href="{{ path('town_nightwatch') }}" class="link">{{ 'Du kannst helfen und dich der heutigen Nachtwache anschließen!'|trans({}, 'game') }}</div>
                            {% endif %}
                        </span>
                    {% elseif def > zeds_today[1] and def < zeds_today[2] %}
                        <span class="warning">
                            {{'Unsere Verteidigung dürfte ausreichen, zumindest einen Teil des Angriffs heute Nacht abzuwehren.'|trans({}, 'game')}}
                            {% if has_battlement %}
                                <div x-ajax-href="{{ path('town_nightwatch') }}" class="link">{{ 'Du kannst helfen und dich der heutigen Nachtwache anschließen!'|trans({}, 'game') }}</div>
                            {% endif %}
                        </span>
                    {% else %}
                        {{ 'Unsere Verteidigung ist stark genug, um dem Angriff heute Nacht standzuhalten.'|trans({}, 'game')}}
                    {% endif %}
                {% else %}
                    {{ 'Es ist nicht möglich, unsere Situation angesichts des Angriffs von heute Abend genau einzuschätzen.'|trans({}, 'game')}}
                {% endif %}
            </div>
        </div>
    </div>

    {% if town.type.name == 'custom' %}
    <div class="help">
    	{% trans from 'game' %}
    		Du bist in einer Privatstadt. Für diese Art von Stadt gelten einige Sonderregeln.
    	{% endtrans %}
    </div>
	{% endif %}

    <div class="row">
        <div class="padded cell {% if conf.get(constant('App\\Structures\\TownConf::CONF_FEATURE_WORDS_OF_HEROS'),false) %}rw-6{% else %}rw-12{% endif%} rw-lg-12">
            <h5>{{ 'Meine täglichen Aufgaben'|trans({}, 'game')}} </h5>
            <ul class="overview-checklist">
                <li x-ajax-href="{{ url('forum_town_redirect') }}" {% if has_visited_forum %} class="checked"{% endif %}>{{ 'Einen Blick ins Forum werfen.'|trans({}, 'game') }}</li>
                <li x-ajax-href="{{ path('town_well') }}" {% if active_citizen.specificActionCounterValue(constant('App\\Entity\\ActionCounter::ActionTypeWell')) > 0 %} class="checked"{% endif %}>{{ 'Meine Ration Wasser im Brunnen entnehmen (optional).'|trans({}, 'game') }}</li>
                {% if new_message %}
                    <li x-ajax-href="{{ path('town_house', {tab: 'messages', subtab: 'received'}) }}">{{ 'Meine Nachrichten lesen.'|trans({}, 'game') }} <img src="{{ asset("build/images/icons/anim_icon_mail.gif") }}" alt="" /> </li>
                {% endif %}
                {% for name,role in votes_needed %}
                    {% if role %}
                    <li x-ajax-href="{{ path('town_citizen_vote', {roleId: role.id}) }}" {% if has_voted[role.name] %}class="checked"{% endif %}>
                        {{ 'Den %rolename% wählen'|trans({'%rolename%': role.label|trans({}, 'game')}, 'game') }}
                    </li>
                    {% endif %}
                {% endfor %}
                {% if has_watchtower %}<li x-ajax-href="{{ path('town_watchtower') }}" {% if has_estimated %} class="checked"{% endif %}>{{ 'An der Angriffsabschätzung teilnehmen'|trans({}, 'game') }}</li>{% endif %}
                {% if not town.devastated and has_levelable_building %}<li x-ajax-href="{{ path('town_upgrades') }}" {% if active_citizen.dailyUpgradeVote %} class="checked"{% endif %}>{{ 'Für ein Tagesprojekt abstimmen.'|trans({}, 'game') }}</li>{% endif %}
				{% if display_home_upgrade %}<li{% if has_upgraded_house %} class="checked"{% endif %} x-ajax-href="{{ path('town_house', {'tab': 'build' }) }}">{{ 'Mein Haus ausbauen'|trans({}, 'game') }}.</li>{% endif %}
                <li{% if has_been_active %} class="checked"{% endif %}>{{ 'Auf der Baustelle arbeiten, in der Werkstatt arbeiten oder in die Außenwelt gehen (optional).'|trans({}, 'game') }}</li>
            </ul>
        </div>
        {% if conf.get(constant('App\\Structures\\TownConf::CONF_FEATURE_WORDS_OF_HEROS'),false) %}
        <div class="padded cell rw-6 rw-lg-12">
                <h5>{{ 'Heldentafel'|trans({}, 'game')}}</h5>
                <div class="words-of-heroes {{ town.language }}">
                    <div class="content" id="words-of-heroes-content">{{ town.wordsOfHeroes|nl2br }}</div>
                    {% if can_edit_blackboard %}
                        <div class="content hidden" id="words-of-heroes-editor">
                            <textarea>{{ town.wordsOfHeroes }}</textarea>
                        </div>
                        <div class="edit"><a href="#" id="edit-wordsofheroes">{{'Bearbeiten'|trans({}, 'global')}}</a></div>
                        <div class="cancel hidden"><a href="#" id="saveedit-wordsofheroes">{{ 'Speichern'|trans({},'global') }}</a> - <a href="#" id="canceledit-wordsofheroes">{{'Abbrechen'|trans({}, 'global')}}</a></div>
                    {% elseif citizen.getBanished %}
                        <div class="edit disabled">{{'Bearbeiten'|trans({}, 'global')}}</div>
                    {% endif %}
                </div>
        </div>
        {% endif %}
    </div>

    <div class="row">
        <h5>{{ 'Unsere Situation'|trans({}, 'game')}}</h5>
        <div class="padded cell rw-12">
            <ul class="overview-list">
                <li>{{ 'Stadttyp:'|trans({}, 'game') }} <strong>{{ town.type.label|trans({}, 'game') }}</strong></li>
                <li>{{ 'Stadttor:'|trans({}, 'game') }} <strong class="{% if(town.door) %}warning{% endif %}">{% if(town.door) %} {{ 'Offen!'|trans({}, 'game')}} {% else %} {{'Geschlossen'|trans({}, 'game')}} {% endif %}</strong></li>
                <li>{{ 'Wasservorräte:'|trans({}, 'game') }} <strong>{{ town.well}}</strong> <img src="{{ asset('build/images/item/item_water.gif') }}" />{% if town.well < 15 %} <span class="warning">(<img src="{{ asset('build/images/icons/small_warning.gif') }}" alt="" /> {{ 'Gefahr'|trans({}, 'game') }})</span>{% endif %}</li>
                <li>{{ 'Einwohner am Leben:'|trans({}, 'game') }} <strong>{{ living_citizens }}</strong> <img src="{{ asset('build/images/icons/small_human.gif') }}" /></li>
                <li>{{ 'Geschätzter Angriff :'|trans({}, 'game') }} <strong>{% if (zeds_today[3] >= wtt) and zeds_today[0] %}{{ zeds_today[1] }} - {{ zeds_today[2] }}{% else %}{{ 'Unbekannt'|trans({}, 'game')}}{% endif %}</strong> <img src="{{ asset('build/images/icons/small_zombie.gif') }}" /></li>
            </ul>
        </div>
        <div class="padded cell rw-6 rw-md-8 rw-sm-12">
            <button x-ajax-href="{{ url('game_newspaper') }}">{% trans from 'game' %}Lesen Sie das Mitteilungsblatt{% endtrans %}</button>
        </div>
    </div>

    <div class="row">
        <h5>{{ 'Unsere Verteidigungen'|trans({}, 'game')}} :</h5>
        <div class="padded cell rw-12 defense-detail">
            <ul class="overview-list">
                <li>{{'Grundbefestigungsmauer'|trans({}, 'game')}} : + {{def_summary.base_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                <li>{{'Konstruktionen'|trans({}, 'game')}} : {{def_summary.building_defense }} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                <li>{{'Verteidigungsgegenstände'|trans({}, 'game')}} : + {{def_summary.item_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> ({{ item_def_count }} {{'Gegenstände'|trans({}, 'game')}} x {{ item_def_factor }} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> )</li>
                {% if def_summary.guardian_defense > 0 %}
                <li>{{'Wächter'|trans({}, 'game')}} : + {{ def_summary.guardian_defense }} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                {% endif %}
                <li>{{'Häuser'|trans({}, 'game')}} : + {{def_summary.house_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                {% if has_battlement and def_summary.nightwatch_defense > 0 %}
                <li>{{'Nachtwächter'|trans({}, 'game')}} : + {{def_summary.nightwatch_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                {% endif %}
                {% if def_summary.soul_defense > 0 %}
                <li>{{'Gereinigte Seelen'|trans({}, 'game')}} : + {{def_summary.soul_defense}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
                {% endif %}
                <li class="separator">TOTAL : {{def}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /></li>
            </ul>

            <em>{{'Anmerkung: Verteidigungsgegenstände (Holzplatten etc...) müssen in der Bank abgelegt werden.'|trans({}, 'game')}}</em>
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        $.html.addEventListenerAll("#edit-wordsofheroes", "click", function(event){
            event.preventDefault();
            event.stopPropagation();
            document.getElementById("words-of-heroes-content").classList.add('hidden');
            document.getElementById("words-of-heroes-editor").classList.remove('hidden');
            document.getElementById("edit-wordsofheroes").parentNode.classList.add('hidden');
            document.getElementById("canceledit-wordsofheroes").parentNode.classList.remove('hidden');
        });

        $.html.addEventListenerAll("#canceledit-wordsofheroes", "click", function(event){
            event.preventDefault();
            event.stopPropagation();
            document.getElementById("words-of-heroes-content").classList.remove('hidden');
            document.getElementById("words-of-heroes-editor").classList.add('hidden');
            document.getElementById("edit-wordsofheroes").parentNode.classList.remove('hidden');
            document.getElementById("canceledit-wordsofheroes").parentNode.classList.add('hidden');
        });

        $.html.addEventListenerAll("#saveedit-wordsofheroes", "click", function(event){
            event.preventDefault();
            event.stopPropagation();
            var content = document.getElementById("words-of-heroes-editor").childNodes[1].value;
            $.ajax.easySend( '{{ path('town_dashboard_save_woh') }}', {content: content},
                function () {
                    $.ajax.load(null, '{{ path('town_dashboard') }}', true);
            } );
        });
    </script>
{% endblock %}
